Subject: Re: [PATCH 0/5] Split .git/config in multiple worktree setup

From: Junio C Hamano <[email-masked]>
Date: Thu, 03 Dec 2015 11:52:43 -0800

Duy Nguyen <[email-masked]> writes:

> If a variable _must_ be per-worktree or something will break, then it
> should belong to the builtin list (so the user is less likely to mess
> with it). If it may or may not be per-worktree, depending on one's
> preference, then we can keep this in info/config.worktree. I made the
> builtin list for that reason (user not breaking stuff accidentally)
> and another one, which is upgrade issue. Suppose you introduce a new
> per-worktree variable in the new git version. If it's in the builtin
> list, we don't have to update every repo's info/config,worktree.

I agree with your reasoning to have built-in set of files that are
per-worktree. I actually prefer *not* to have any configurability
to avoid confusion between users.